<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions"
    xmlns:c="http://java.sun.com/jstl/core">

	<div class="tablero">
		<div class="row">
			<div class="col-lg-12">
				<div class="card p-0">
					<div class="card-body">
						<div class="row">
							<div class="col-md-9 p-3">
								<div class="row">
									<div class="col-lg-6">
										<h4 class="card-title">Tramo</h4>
									</div>
									<div class="col-lg-6 text-right">
										 <p class="mb-4" style="color: #333 !important; font-size: 14px;">Bono protección con conversión</p>
									</div>
								</div>
								<div class="row">
									<div class="col-lg-12 tramo">
										<div style="text-align: center">
											<div class="d-inline-flex px-3">
												<div id="t1" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(0).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(25)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(50)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(75)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(100)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="row no-gutters">
														<div class="col-lg-6">
															<h5 class="text-left font-weight-bolder">Bono</h5>
														</div>
														<div class="col-lg-6">
															<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(0).bono}%</h5>
														</div>
													</div>
												</div>
												<div id="t2" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(1).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(125)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(150)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(175)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(200)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(1).bono}%</h5>
												</div>
												<div id="t3" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(2).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(225)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(250)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(275)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(300)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(2).bono}%</h5>
												</div>
												<div id="t4" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(3).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(325)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(350)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(375)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(400)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(3).bono}%</h5>
												</div>
												<div id="t5" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(4).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(425)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(450)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(475)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(500)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(4).bono}%</h5>
												</div>        
												<div id="t6" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(5).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(525)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(550)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(575)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(600)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(5).bono}%</h5>
												</div>        
												<div id="t7" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(6).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(625)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(650)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(675)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(700)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(6).bono}%</h5>
												</div>        
												<div id="t8" class="t-4">
													<h4 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(7).tramo}</h4>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(725)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(750)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(775)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<div class="progress progress-vertical m-t-5">
														<div class="progress-bar bg-danger" style="width:14px; max-height=100%; min-height:0%; height:#{perfilBean.restaTramo(800)}%;" role="progressbar"> 
															<span class="sr-only">60% Complete</span> </div>
													</div>
													<h5 class="text-right">#{perfilBean.respuestaGetPerfilAS.bonos.get(7).bono}%</h5>
												</div>        
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="col-md-3 p-r-5">
								<table class="table table-bordered text-center m-b-0">
									<thead>
										<tr class="table-active" style="color: #0090da !important; font-size: 11px;" >
											<th colspan="2" width="50%" class="text-center">LO QUE LLEVAS</th>
											<th colspan="2" width="50%" class="text-center">LO QUE TE FALTA<br/>(sin conversión)</th>
										</tr>
										<tr>
											<th colspan="4" width="100%" class="text-center" style="font-size: 11px;">Pólizas (N°)</th>
										</tr>
										<tr class="table-active" style="color: #0090da !important; font-size: 14px;">
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueLlevo.NPolizas}</th>
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueMeFalta.NPolizas}</th>
										</tr>
										<tr>
											<th colspan="4" width="100%" class="text-center" style="font-size: 11px;" >Prima Básica (UF)</th>
										</tr>
										<tr class="table-active" style="color: #0090da !important; font-size: 14px;">
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueLlevo.PBasica}</th>
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueMeFalta.PBasica}</th>
										</tr>
										<tr>
										<th colspan="4" width="100%" class="text-center" style="font-size: 11px;" >Prima Exceso (UF)</th>
										</tr>    
										<tr class="table-active" style="color: #0090da !important; font-size: 14px;">
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueLlevo.PExceso}</th>
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueMeFalta.PExceso}</th>
										</tr>      
										<tr>
										<th colspan="4" width="100%" class="text-center" style="font-size: 11px;">Pólizas Vida (N°)</th>
										 </tr>    
										<tr class="table-active" style="color: #0090da !important; font-size: 14px;">
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueLlevo.NPolizasVida}</th>
											<th colspan="2" width="50%" class="text-center">#{perfilBean.respuestaGetPerfilAS.loQueMeFalta.NPolizasVida}</th>
										</tr>                                                     
									</thead>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-4">
				<div class="card">
					<div class="card-body">
						<h3 class="card-title">AUTODISCIPLINA</h3>
						<div>
							<div style="position: absolute; inset: 0px; overflow: hidden; pointer-events: none; visibility: hidden; z-index: -1;" class="chartjs-size-monitor">
								<div class="chartjs-size-monitor-expand" style="position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;">
									<div style="position:absolute;width:1000000px;height:1000000px;left:0;top:0"></div>
								</div>
								<div class="chartjs-size-monitor-shrink" style="position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;">
									<div style="position:absolute;width:200%;height:200%;left:0; top:0"></div>
								</div>
							</div>
							<canvas id="autodisciplina-asesor" height="400" style="display: block; width: 510px; height: 400px;" width="510" class="chartjs-render-monitor"> </canvas>
						</div>
						<h4 class="card-title text-center" style="margin-top: -200px; font-size: 36px;">#{perfilBean.respuestaGetPerfilAS.autodisciplina.cargados}/#{perfilBean.respuestaGetPerfilAS.autodisciplina.totalHabil}</h4>
						<p class="text-center">días cargados</p>
					</div>
					<p:spacer height="170px"/>
				</div>
			</div>					    
			<div class="col-lg-8">
				<div class="card">
					<div class="card-body">
						<h4 class="card-title text-center">CUMPLIMIENTO PERÍODO COMERCIAL</h4>
						<c:if test="#{perfilBean.cumplimientoPoliza.meta eq '0.0' and perfilBean.cumplimientoPoliza.real eq '0.0' 
								and perfilBean.cumplimientoPB.meta eq '0.0' and perfilBean.cumplimientoPB.real eq '0.0' 
								and perfilBean.cumplimientoPE.meta eq '0.0' and perfilBean.cumplimientoPE.real eq '0.0'}">
							<div class="row">
								<p:spacer height="50px"/>
								<div class="col-lg-12">
									<img src="#{request.contextPath}/recursos/images/graph-7_icon.png" width="100" height="80" style="display:block; margin:auto;" />
									<br/>
									<h5 class="card-title text-center">Sin información para graficar</h5>
								</div>
								<p:spacer height="185px"/>
							</div>
						</c:if>
						<c:if test="#{perfilBean.cumplimientoPoliza.meta ne '0.0' or perfilBean.cumplimientoPoliza.real ne '0.0' 
								or perfilBean.cumplimientoPB.meta ne '0.0' or perfilBean.cumplimientoPB.real ne '0.0' 
								or perfilBean.cumplimientoPE.meta ne '0.0' or perfilBean.cumplimientoPE.real ne '0.0'}">
							<div class="row">
								<div class="col-lg-4">
										<h4 class="card-title text-center">Polizas (Nº)</h4>
										<div class="bar-chart-asesor" id="bar-chart-asesor" style="width:100%; height:300px;"></div>
								</div>
								<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Básica (UF)</h5>
										<div class="bar-chart-asesor-primabasica" id="bar-chart-asesor-primabasica" style="width:100%; height:300px;"></div>
								</div>
								<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Exceso (UF)</h5>
										<div class="bar-chart-asesor-primaexceso" id="bar-chart-asesor-primaexceso" style="width:100%; height:300px;"></div>
								</div>
							</div>
							<div class="row">
								<div class="col-lg-12" style="text-align: center;">
									<ul id="menu">
										<li style="color: #00aca0;"><i class="fa fa-circle"></i> Meta</li>
										<li style="color: #db0a5b;"><i class="fa fa-circle"></i> Real</li>
									</ul>
								</div>
							</div>
						</c:if>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
	//<![CDATA[		
		$(function() {
	        $(".preloader").fadeOut();
				cargaAutodisciplina();
	        	cargaInicialGraficosBarra();
	    });

		function cargaAutodisciplina(){
			try{
				var autodisciplinaPorDiaJson = '#{perfilBean.autodisciplinaPorDiaJson}';
				var auto = JSON.parse(autodisciplinaPorDiaJson);
				var dias = auto.autodisciplinaDia.length;
				var arrayDias = new Array(dias);
				var arrayValores = new Array(dias);
				var arrayLabels = new Array(dias);
				for (var i = 0; i < auto.autodisciplinaDia.length; i++){
		 		    var obj = auto.autodisciplinaDia[i];
		 		    if (obj.estado == 'N'){
		 		    	arrayDias[i] = 'rgb(219, 19, 91)';
			 		} else if (obj.estado == 'S'){
			 			arrayDias[i] = 'rgb(164, 206, 78)';
				 	} else if (obj.estado == 'NA'){
				 		arrayDias[i] = 'rgb(217,217,214)';
					}
		 		   arrayValores[i] = 10;
		 		   arrayLabels[i] = obj.dia.substring(0, 5);
				}
				autodisciplina(arrayDias, arrayValores, arrayLabels);
			}catch(error) {
				console.error(error);
				PF('growlWV').renderMessage({"summary":"Tablero de Mando", "detail":"Ha ocurrido un error en la consulta, intente más tarde.", "severity":"warn"});
			}
		}

		function cargaInicialGraficosBarra(){
			var pMet = '#{perfilBean.cumplimientoPoliza.meta}'; 
			var pReal = '#{perfilBean.cumplimientoPoliza.real}'; 
			var pbMet = '#{perfilBean.cumplimientoPB.meta}'; 
			var pbReal = '#{perfilBean.cumplimientoPB.real}'; 
			var peMet = '#{perfilBean.cumplimientoPE.meta}'; 
			var peReal = '#{perfilBean.cumplimientoPE.real}'; 
			if (pMet !='0.0' ||pReal !='0.0' ||pbMet !='0.0' ||pbReal !='0.0' ||peMet !='0.0' ||peReal !='0.0'){
			 	barChartAsesor(pMet, pReal, '#bar-chart-asesor', '');
				barChartAsesor(pbMet, pbReal, '#bar-chart-asesor-primabasica', '');
				barChartAsesor(peMet, peReal, '#bar-chart-asesor-primaexceso', '');
			}
		 }

		function funtionResize() {
		    var widthBrowser = window.outerWidth;
		    var heightBrowser = window.outerHeight;
		    var divt1 = document.getElementById("t1");
		    var divt2 = document.getElementById("t2");
		    var divt3 = document.getElementById("t3");
		    var divt4 = document.getElementById("t4");
		    var divt5 = document.getElementById("t5");
		    var divt6 = document.getElementById("t6");
		    var divt7 = document.getElementById("t7");
		    var divt8 = document.getElementById("t8");

		    console.log('widthBrowser=' + widthBrowser);
	        if (widthBrowser <= 1250){
	        	divt1.className = 't-1';
	        	divt2.className = 't-1';
	        	divt3.className = 't-1';
	        	divt4.className = 't-1';
	        	divt5.className = 't-1';
	        	divt6.className = 't-1';
	        	divt7.className = 't-1';
	        	divt8.className = 't-1';
	        } else if (widthBrowser <= 1345){
	        	divt1.className = 't-2';
	        	divt2.className = 't-2';
	        	divt3.className = 't-2';
	        	divt4.className = 't-2';
	        	divt5.className = 't-2';
	        	divt6.className = 't-2';
	        	divt7.className = 't-2';
	        	divt8.className = 't-2';
	        } else if (widthBrowser <= 1505){
	        	divt1.className = 't-3';
	        	divt2.className = 't-3';
	        	divt3.className = 't-3';
	        	divt4.className = 't-3';
	        	divt5.className = 't-3';
	        	divt6.className = 't-3';
	        	divt7.className = 't-3';
	        	divt8.className = 't-3';
	        } else {
	        	divt1.className = 't-4';
	        	divt2.className = 't-4';
	        	divt3.className = 't-4';
	        	divt4.className = 't-4';
	        	divt5.className = 't-4';
	        	divt6.className = 't-4';
	        	divt7.className = 't-4';
	        	divt8.className = 't-4';
	        }
		}

		window.onresize = function() {
		  funtionResize();
		};
	//]]>
	</script>
</ui:composition>